flutter_statusbarcolor 0.2.3

  • Readme
  • Changelog
  • Example
  • Installing
  • 99

flutter_statusbarcolor #

pub package

A package can help you to change your flutter app's statusbar's color or navigationbar's color programmatically.

Getting Started #

// change the status bar color to material color [green-400]
await FlutterStatusbarcolor.setStatusBarColor(Colors.green[400]);
if (useWhiteForeground(Colors.green[400])) {
  FlutterStatusbarcolor.setStatusBarWhiteForeground(true);
} else {
  FlutterStatusbarcolor.setStatusBarWhiteForeground(false);
}

// change the navigation bar color to material color [orange-200]
await FlutterStatusbarcolor.setNavigationBarColor(Colors.orange[200]);
if (useWhiteForeground(Colors.orange[200]) {
  FlutterStatusbarcolor.setNavigationBarWhiteForeground(true);
} else {
  FlutterStatusbarcolor.setNavigationBarWhiteForeground(false);
}

// get statusbar color and navigationbar color
Color statusbarColor = await FlutterStatusbarcolor.getStatusBarColor();
Color navigationbarColor = await FlutterStatusbarcolor.getNavigationBarColor();

preview

Details in example/ folder.

Api level minimum requirement #

  • Android

    • getStatusBarColor (5.0)
    • setStatusBarColor (5.0)
    • setStatusBarWhiteForeground (6.0)
    • getNavigationBarColor (5.0)
    • setNavigationBarColor (5.0)
    • setNavigationBarWhiteForeground (8.0)
  • iOS

    • getStatusBarColor (7+)
    • setStatusBarColor (7+)
    • setStatusBarWhiteForeground (7+)

Note that #

  • If you find the foreground brightness reverted after changing the app lifecycle, please use flutter's WidgetsBindingObserver mixin.
  • If iOS build does not work, please send issues or pull requests.

Changelog #

[0.2.3]

  • Fix iOS 13+ Dark mode.

[0.2.2]

  • Fix iOS 13 build error.

[0.2.1]

  • Null check for android activity.

[0.2.0]

  • Breaking change. Updated Gradle tooling, kotlin version and compileSdkVersion. Same as 0.1.5.

[0.1.6]

  • Revert to 0.1.4.

[0.1.5]

  • Android dependencies version upgrade for AndroidX support.

[0.1.4+1]

  • Update docs.

[0.1.4]

  • Allow to animate the color after setting the color of statusbar or navigationbar.

[0.1.3]

  • Fix ios build.

[0.1.2]

  • Add getStatusBarColor and getNavigationBarColor.

[0.1.1]

  • Fix ios build.

[0.1.0]

  • Add setStatusBarWhiteForeground to set statusbar content color.
  • Add setNavigationBarWhiteForeground to set navigationbar content color.
  • Add useWhiteForeground to know the background is fit with white content.

[0.0.4]

  • Upgrade to dart2.

[0.0.3]

  • Try to fix ios build again.

[0.0.2]

  • Try to fix ios build.

[0.0.1+1]

  • Format code.

[0.0.1]

  • Initial release.

example/README.md

flutter_statusbarcolor_example #

Demonstrates how to use the flutter_statusbarcolor plugin.

Getting Started #

For help getting started with Flutter, view our online documentation.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  flutter_statusbarcolor: ^0.2.3

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter pub get

Alternatively, your editor might support flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:flutter_statusbarcolor/flutter_statusbarcolor.dart';
  
Popularity:
Describes how popular the package is relative to other packages. [more]
97
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
100
Overall:
Weighted score of the above. [more]
99
Learn more about scoring.

We analyzed this package on Dec 7, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.6.1
  • pana: 0.12.21
  • Flutter: 1.9.1+hotfix.6

Platforms

Detected platforms: Flutter

References Flutter, and has no conflicting libraries.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.0.0-dev.28.0 <3.0.0
flutter 0.0.0
Transitive dependencies
collection 1.14.11 1.14.12
meta 1.1.7 1.1.8
sky_engine 0.0.99
typed_data 1.1.6
vector_math 2.0.8